GuideLab API

List platform billing commands requiring or retaining review

Lists the bounded platform billing review queue and its immutable normalized resolution evidence. Platform admin access required.

GET
/admin/platform-billing-command-reviews

Lists the bounded platform billing review queue and its immutable normalized resolution evidence. Platform admin access required.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

state?string
Default"unresolved"

Value in

  • "unresolved"
  • "resolved"
  • "all"
kind?string

Value in

  • "plan_change"
  • "storage_add_on"
cursor?string
Length1 <= length <= 200
limit?integer
Range1 <= value <= 100
Default50

Response Body

application/json

curl -X GET "https://example.com/admin/platform-billing-command-reviews"
{  "items": [    {      "commandId": "string",      "organizationId": "string",      "subscriptionId": "string",      "kind": "plan_change",      "status": "string",      "errorCode": "string",      "reviewRequiredAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "recoveryAttempts": 0,      "targetPlan": "base",      "targetBillingInterval": "month",      "application": "immediate",      "targetUnits": 0,      "baseUnits": 0,      "billingInterval": "month",      "change": "string",      "resolution": {        "outcome": "confirmed_provider_target",        "resultStatus": "completed",        "reviewerUserId": "string",        "reason": "string",        "reviewRequiredAt": "2019-08-24T14:15:22Z",        "reviewedAt": "2019-08-24T14:15:22Z",        "sourceErrorCode": "string",        "providerReadAt": "2019-08-24T14:15:22Z",        "providerSubscriptionStatus": "string",        "providerScheduleId": "string",        "activePlan": "base",        "activeBillingInterval": "month",        "activeStorageUnits": 0,        "scheduledPlan": "base",        "scheduledBillingInterval": "month",        "scheduledStorageUnits": 0,        "scheduledAt": "2019-08-24T14:15:22Z"      }    }  ],  "nextCursor": "string"}
Empty
Empty
Empty